Bug 32301 - Integrate system components into App Center
Integrate system components into App Center
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: App Center
UCS 3.1
Other Linux
: P5 enhancement (vote)
: UCS 3.2
Assigned To: Stefan Gohmann
Alexander Kläser
: interim-3
Depends on: 32308
Blocks: 32302 32875
  Show dependency treegraph
 
Reported: 2013-08-22 12:24 CEST by Alexander Kläser
Modified: 2013-11-19 06:41 CET (History)
2 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional): Release Goal
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Kläser univentionstaff 2013-08-22 12:24:21 CEST
The current system components from the UMC module "Basis settings" will be integrated into the App Center. This bug provides the necessary .ini files.
Comment 1 Alexander Kläser univentionstaff 2013-08-22 15:17:25 CEST
Samba4/Samba3 will be done via Bug 32309.
Comment 2 Stefan Gohmann univentionstaff 2013-09-05 20:34:26 CEST
I've created first ini files. They still need more work (screenshots, readme files, descriptions ...)
Comment 3 Stefan Gohmann univentionstaff 2013-10-03 10:24:12 CEST
We decided to set NotifyVendor to false for the system components. I changed that in the ini files.
Comment 4 Stefan Gohmann univentionstaff 2013-10-16 22:59:21 CEST
The ini files have been revised. For screenshots: Bug #32875
Comment 5 Felix Botner univentionstaff 2013-10-22 16:24:03 CEST
* Desktop environment - univention-kde

  OK - kde.ini
  OK - Installation/Deinstallation

* Active Directory-compatible domaincontroller (Samba 4) (connector on
  master/backup) - univention-s4-connector, univention-samba4

  OK - samba4.ini
  OK - Installation/Deinstallation

* Active Directory-compatible domaincontroller (Samba 4) (slave)
  - univention-samba4

  OK - samba4-slave.ini
  OK - Installation/Deinstallation

* NT-compatible domaincontroller (Samba 3) (master, backup, slave)
  - univention-samba, samba

  OK - samba3.ini
  OK - Installation/Deinstallation

* Windows memberserver (Samba 3 / Samba 4) - univention-samba, samba, winbind

  OK - samba-memberserver.ini
  OK - Installation/Deinstallation

* Active Directory Connector (master, backup) - univention-ad-connector

  OK - adconnector.ini
  OK - Installation/Deinstallation

* Management server for KVM or Xen - univention-virtual-machine-manager-daemon

  OK - uvmm.ini
  OK - Installation/Deinstallation

* KVM virtualization server - univention-virtual-machine-manager-node-kvm

  OK - kvm.ini
  OK - Installation/Deinstallation

* Xen virtualization server - univention-virtual-machine-manager-node-xen

  OK - xen.ini
  OK - Installation/Deinstallation

* Mail server (Postfix, Cyrus IMAPd) - univention-mail-server

  OK - mail-server.ini
  OK - Installation/Deinstallation

* DHCP server - univention-dhcp

  OK - dhcp-server.ini
  OK - Installation/Deinstallation

* Print server (CUPS) - univention-printserver, cups

  OK - cups.ini
  OK - Installation/Deinstallation

* Web proxy server (Squid) - univention-squid

  OK - squid.ini
  OK - Installation/Deinstallation

* Bacula (Backup) - univention-bacula

  OK - not available

* Network monitoring (Nagios) - univention-nagios-server

  OK - nagios.ini
  OK - Installation/Deinstallation

* Software installation monitor - univention-pkgdb

  OK - pkgdb.ini
  OK - Installation/Deinstallation
Comment 6 Alexander Kläser univentionstaff 2013-11-07 16:24:47 CET
Some .ini file entries are missing:

> * Active Directory Connector (master, backup) - univention-ad-connector

UMCModuleName missing.

> * Management server for KVM or Xen -
> univention-virtual-machine-manager-daemon

UMCModuleName missing.

> * Mail server (Postfix, Cyrus IMAPd) - univention-mail-server

UMCModuleName missing.

> * DHCP server - univention-dhcp

UMCModuleName missing.

> * Print server (CUPS) - univention-printserver, cups

UMCModuleName missing, maybe also WebInterface missing.

> * Network monitoring (Nagios) - univention-nagios-server

UMCModuleName missing.

> * Software installation monitor - univention-pkgdb

UMCModuleName missing.
Comment 7 Stefan Gohmann univentionstaff 2013-11-08 08:32:09 CET
(In reply to Alexander Kläser from comment #6)
> Some .ini file entries are missing:
> 
> > * Active Directory Connector (master, backup) - univention-ad-connector
> 
> UMCModuleName missing.

done

> > * Management server for KVM or Xen -
> > univention-virtual-machine-manager-daemon
> 
> UMCModuleName missing.

Xdone
 
> > * Mail server (Postfix, Cyrus IMAPd) - univention-mail-server
> 
> UMCModuleName missing.

done

> > * DHCP server - univention-dhcp
> 
> UMCModuleName missing.

done

> > * Print server (CUPS) - univention-printserver, cups
> 
> UMCModuleName missing, maybe also WebInterface missing.

I've added the UDM module not the UMC module. The webinterface should not be linked by default.

> > * Network monitoring (Nagios) - univention-nagios-server
> 
> UMCModuleName missing.

done

> > * Software installation monitor - univention-pkgdb
> 
> UMCModuleName missing.

done
Comment 8 Alexander Kläser univentionstaff 2013-11-08 10:50:43 CET
Looks good. As discussed, I updated the nagios screenshot.
Comment 9 Stefan Gohmann univentionstaff 2013-11-19 06:41:52 CET
UCS 3.2 has been released:
 http://docs.univention.de/release-notes-3.2-en.html
 http://docs.univention.de/release-notes-3.2-de.html

If this error occurs again, please use "Clone This Bug".